转发消息
curl --request POST \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/forward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labels": [
"<string>"
],
"reply_to": "<string>",
"to": "<string>",
"cc": "<string>",
"bcc": "<string>",
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"headers": {}
}
'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/forward"
payload = {
"labels": ["<string>"],
"reply_to": "<string>",
"to": "<string>",
"cc": "<string>",
"bcc": "<string>",
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labels: ['<string>'],
reply_to: '<string>',
to: '<string>',
cc: '<string>',
bcc: '<string>',
subject: '<string>',
text: '<string>',
html: '<string>',
attachments: [
{
filename: '<string>',
content_type: '<string>',
content_id: '<string>',
content: '<string>',
url: '<string>'
}
],
headers: {}
})
};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message_id": "<string>",
"thread_id": "<string>"
}{
"name": "<string>",
"errors": "<unknown>"
}{
"name": "<string>",
"message": "<string>"
}{
"name": "<string>",
"message": "<string>"
}消息
转发消息
转发来自特定收件箱的消息。
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
/
forward
转发消息
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
Bearer 身份验证
请求体
application/json
消息标签。
回复地址(一个或多个)。
收件人地址。
抄送收件人地址。
密送收件人地址。
消息主题。
消息的纯文本正文。
消息的 HTML 正文。
消息中要包含的附件。
Show child attributes
Show child attributes
消息中要包含的标头。
Show child attributes
Show child attributes
⌘I